
var PageSize = 30;//每页计数
var CurrentPage = 1; //当前页

$(document).ready(function(){
    //loading
    $('#loadingContainer').ajaxStart(function(){$(this).show();}).ajaxStop(function(){$(this).hide();});	

	setInterval(function(){
        $('div.sub_container_page').css('top',$(window.parent.frames.right).height()-$('div.sub_container_page').height()-2); //设置底部分页区域的位置
        $('div.sub_container_content').css('height',$(window.parent.frames.right).height()-$('div.sub_container_title').height()-$('div.sub_container_operation').height()-$('div.sub_container_listhead').height()-$('div.sub_container_page').height()-10); //设置内容区域的高度
    },1000);

    $('input[@name=chkAll]').click(function(){$('input[@name=chkItem]').attr('checked',$(this).attr('checked'));});//全选

    BindList();
    
    $('#ddlAgent').change(function(){
        $.ajax({
            url:'CardNo.aspx?NoCopyRight=1&type=ajax&Action=GetPeriod&AgentmemberID='+$('#ddlAgent').val(),
            success:function(data){
                if(!checkLoginStatus(data)){return false;};
                $('#ddlPeriod').html(data);
            },
            error:function(){alert('error');}
        });
    });
    
    $('#btnSearch').click(function(){
        CurrentPage = 1;
        BindList();
    });
    
    $('#btnDelete').click(function(){
        var ids = '';
        $('input[@name=chkItem][@checked]').each(function(){ids += $(this).val() + ',';});
        if(ids != ''){
            if(confirm('确定要删除选中的记录吗?')){
                ids = ids.substring(0,ids.length-1);
                Delete(ids);
            }
        }else{alert('请选择要删除的记录');};
    });
    
});    

//绑定数据
function BindList(){
    $('#template').hide();//将第一行模板隐藏
    $.ajax({
        type:"get",
        dataType:"json",
        url:'KeyLink.aspx?NoCopyRight=1&type=ajax&Action=GetList&PageSize='+PageSize+'&Page='+CurrentPage+'&keyword='+escape($('#txtKeywords').val()),
        cache:false,
        success:function(msg){
            $('input[@name=chkAll]').attr('checked','');
            $('tr:gt(0)','#datas').remove();
            var data = msg.KeyLink;
            $.each(data,function(i,n){
                var row = $('#template').clone();
                row.show().mouseover(function(){$(this).addClass('on')}).mouseout(function(){$(this).removeClass('on')}); //将复制的行显示出来并添加样式
                row.find('#checkbox').html('<input type="checkbox" name="chkItem" value="' + n.KeyLinkID + '" />');//checkbox
                row.find('#ID').html(n.KeyLinkID);
                row.find('#Keyword').html(n.Keywords);
                row.find('#Link').html(n.Link);
                row.find('#Description').html(n.Description);
                row.find('#Sort').text(n.Sort);
                row.find('#Target').text(n.Target == '1' ? '新窗口' : '原窗口');
                row.find('#Status').text(n.Sort);
                row.find('#Status').text(n.Status == '1' ? '启用' : '禁用');
                row.find('#Modify').html('<span class="hand">修改</span>')
                    .find('span').click(function(){
                        ShowModify(n.KeyLinkID);
                    });
                row.find('#Delete').html('<span class="hand">删除</span>')
                    .find('span').click(function(){
                        if(confirm('确定要删除吗?')){
                            Delete(n.KeyLinkID);
                        };
                    });
  
				row.attr("id","ready_" + n.KeyLinkID);//改变绑定好数据的行的id
				row.appendTo("#datas");//添加到模板的容器中
            });
           
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "KeyLink.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"BindList();return false;"}//[attr]
            );
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');}else{alert(textStatus)};}
    });//end ajax
};//end funciton

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    };
    return result;
};

//点击修改,显示修改商品的页面
function ShowModify(id){
    $('#frmModify').attr('src','KeyLinkAdd.aspx?ID='+id + '&r='+Math.random()).css('height',$(window).height()).show().siblings().hide();
};

function Delete(ids){
    $.ajax({
        url:'KeyLink.aspx?NoCopyRight=1&type=ajax&Action=Delete&ids='+ids,
        cache:false,
        success:function(data){
            if(!checkLoginStatus(data)){return false;}
            if(data > 0){
                BindList();
            };
        },error:function(){alert('error');}
    });
};
